Bug 44153 - Add support for new Ogg media types
Add support for new Ogg media types
Status: RESOLVED FIXED
Product: Apache httpd-2
Classification: Unclassified
Component: mod_mime
2.0-HEAD
All All
: P2 normal (vote)
: ---
Assigned To: Apache HTTPD Bugs Mailing List
: PatchAvailable, RFC
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-12-30 15:52 UTC by Ivo Emanuel Gon
Modified: 2009-01-31 12:36 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivo Emanuel Gon 2007-12-30 15:52:03 UTC
Per a decision of the Xiph.Org Foundation (the creators of Ogg and its
associated codecs), Ogg should now be served under three different media types
as opposed to the original all-in-one application/ogg.  This process is
described in the registration proposal[1] sent to the IETF, but the gist of this is:

application/ogg is to be associated with .ogx only
video/ogg is to be associated with .ogv only
audio/ogg is to be associated with .oga, .ogg, and .spx

application/ogg is already added in mod_mime, so it has to be redefined.  The
other two media types have to be added.

If possible, please consider doing this change quickly to help in the attempt to
get as many sites as possible working properly with the new extensions.

Thank you for your attention.

[1] http://www.ietf.org/internet-drafts/draft-goncalves-rfc3534bis-00.txt
Comment 1 Ivo Emanuel Gon 2008-08-26 21:37:13 UTC
Take note that video/ogg and audio/ogg have been registered with the IANA.  Refer to IANA's index and/or RFC 5334.  Also note that audio/vorbis and audio/vorbis-config were registered for use on RTP (RFC 5215).

You are invited to use these appropriate media types as described in RFC 5334.  A quick briefing:

.ogg .oga .spx > audio/ogg
.ogv > video/ogg
.ogx > application/ogg

Note that .ogg is now only used for single stream Vorbis files; all other kind of data in Ogg should use one the other file extensions.  application/ogg is now ONLY used for applications and complex multimedia.

Also note that these three media types support an optional parameter called "codecs".  Here's an example: video/ogg; codecs="theora, vorbis, kate".  I'm unsure if this is of any relevance for Apache.  RFC 5334 goes further into detail about these things, including the magic of each stream known to be encapsulated in Ogg.
Comment 2 Roy T. Fielding 2009-01-31 12:36:35 UTC
Fixed when I synced with IANA on 2008-11-30, r721938